/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.dmAttendanceRecord.repository;

import me.zhengjie.modules.dm.dmAttendanceRecord.domain.DmAttendanceRecord;
import me.zhengjie.modules.dm.dmAttendanceRecord.service.dto.DmAttendanceRecordQueryCriteria;
import me.zhengjie.modules.dm.dmCard.domain.DmCard;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
* @website https://el-admin.vip
* @author juan
* @date 2021-11-23
**/
public interface DmAttendanceRecordRepository extends JpaRepository<DmAttendanceRecord, Long>, JpaSpecificationExecutor<DmAttendanceRecord> {

    @Query(value = "select * from dm_attendance_record where to_days(attendance_time) = to_days(now()) and user_number = :userNumber order by attendance_time desc",nativeQuery = true)
    List<DmAttendanceRecord> findByUserNumber(@Param("userNumber")String userNumber);

}