/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.dmCard.service.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import lombok.Data;
import me.zhengjie.base.BaseDTO;
import me.zhengjie.modules.dmuser.domain.DmUser;
import me.zhengjie.modules.dmuser.service.dto.DmUserDto;
import me.zhengjie.modules.system.domain.Dept;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;

/**
* @website https://el-admin.vip
* @description /
* @author zhirong
* @date 2021-11-10
**/
@Data
public class DmCardDto extends BaseDTO implements Serializable {

    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long id;

    /** 卡号 */
    private String cardNumber;
    private DmUser dmUser;

    /** 用户工号 */
//    private Long userNumber;

    /** 用户名称 */
    private String userName;

    /** 用户种类(00-正式人员、01-外协单位、02-租户、03-访客) */
    private String userType;

    /** 用户部门 */
//    private Long deptId;
    private Dept dept;

    /** 开卡状态(00-已开通、01-挂失中、02-已注销) */
    private String status;

    /** 余额 */
    private BigDecimal balance;

    /** 创建者 */
//    private String createBy;
//
//    /** 更新者 */
//    private String updateBy;
//
//    /** 创建时间 */
//    private Timestamp createTime;
//
//    /** 更新时间 */
//    private Timestamp updateTime;

    /*扩展字段*/
    public DmUserDto dmUserDto;
}