/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.dmLane.domain;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.bean.copier.CopyOptions;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import me.zhengjie.base.BaseEntity;
import me.zhengjie.modules.dmuser.domain.DmUser;
import me.zhengjie.modules.system.domain.Dept;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
* @website https://el-admin.vip
* @description /
* @author zhirong
* @date 2021-11-10
**/
@Entity
@Data
@Table(name="dm_lane")
public class DmLane implements Serializable {

    @Id
    @Column(name = "ctrlnumber")
    @ApiModelProperty(value = "控制机号")
    private Integer id;

    @Column(name = "inout_type")
    @ApiModelProperty(value = "进出类型")
    private Integer inoutType;

    @Column(name = "inoutname")
    @ApiModelProperty(value = "车道名称")
    private String inoutname;

    @Column(name = "bigsmall")
    @ApiModelProperty(value = "大小车场")
    private Integer bigsmall;

    @Column(name = "pcname")
    @ApiModelProperty(value = "配置车道的电脑名称")
    private String pcname;

    public void copy(DmLane source){
        BeanUtil.copyProperties(source,this, CopyOptions.create().setIgnoreNullValue(true));
    }
}