/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.dmLane.service;

import me.zhengjie.modules.dm.dmLane.domain.DmLane;
import me.zhengjie.modules.dm.dmLane.service.dto.DmLaneDto;
import me.zhengjie.modules.dm.dmLane.service.dto.DmLaneQueryCriteria;
import org.springframework.data.domain.Pageable;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
* @website https://el-admin.vip
* @description 服务接口
* @author zhirong
* @date 2021-11-10
**/
public interface DmLaneService {

    /**
    * 查询数据分页
    * @param criteria 条件
    * @param pageable 分页参数
    * @return Map<String,Object>
    */
    Map<String,Object> queryAll(DmLaneQueryCriteria criteria, Pageable pageable);

    /**
    * 查询所有数据不分页
    * @param criteria 条件参数
    * @return List<DmCardDto>
    */
    List<DmLaneDto> queryAll(DmLaneQueryCriteria criteria);

    /**
    * 创建
    * @param resources /
    * @return DmCardDto
    */
    DmLaneDto create(DmLane resources);

    /**
    * 编辑
    * @param resources /
    */
    void update(DmLane resources) throws IOException;

    /**
    * 多选删除
    * @param ids /
    */
    void deleteAll(Integer[] ids);
}