/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.dmPlateTraffic.service.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Timestamp;
import java.util.List;
import me.zhengjie.annotation.Query;

import javax.persistence.Column;

/**
* @website https://el-admin.vip
* @author juan
* @date 2021-11-23
**/
@Data
public class DmPlateTrafficQueryCriteria{
    @Query(type = Query.Type.INNER_LIKE, joinName = "dmUser", propName = "name")
    private String userName;
//    @Query(type = Query.Type.INNER_LIKE, joinName = "dmPlateNumber", propName = "plateNumber")
//    private String plateNumber;
    /** 精确 */
    @Query(joinName = "dmUser", propName = "usertype")
    private Long usertype;
    /** BETWEEN */
    @Query(type = Query.Type.BETWEEN)
    private List<Timestamp> accessTime;

    @Query(type = Query.Type.INNER_LIKE)
    private String mthtype;

    @Query(type = Query.Type.INNER_LIKE)
    private String plateNumber;

    /** 精确 */
    @Query(type = Query.Type.GREATER_THAN)//LESS_THAN
    private String intime;

    /** 精确 */
    @Query(type = Query.Type.LESS_THAN)
    private String outtime;

    @Query(type = Query.Type.INNER_LIKE)
    private String ingatename;

    @Query(type = Query.Type.INNER_LIKE)
    private String outgatename;
}