/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.dmReadingRoom.service.dto;

import lombok.Data;
import java.sql.Timestamp;
import java.math.BigDecimal;
import java.io.Serializable;
import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import me.zhengjie.base.BaseDTO;
import me.zhengjie.modules.dm.dmReadingRoomApplay.domain.DmReadingRoomApplay;
import me.zhengjie.modules.dm.dmtsInfo.domain.DmTsInfo;
import me.zhengjie.modules.dmuser.domain.DmUser;

/**
* @website https://el-admin.vip
* @description /
* @author longda
* @date 2022-02-25
**/
@Data
public class DmReadingRoomDto extends BaseDTO implements Serializable {

    /** 记录id */
    /** 防止精度丢失 */
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long readingRoomId;

    /** 书籍id */
    private Long bookId;

    /** 书籍名称 */
    private String bookName;

    /** 借阅起始时间 */
    private Timestamp readStartTime;

    /** 借阅到期时间 */
    private Timestamp readEndTime;

    /** 是否逾期 0 未逾期 1 逾期 */
    private Integer isOverdue;

    /** 逾期天数 */
    private Integer overdueDay;

    /** 归还时间 */
    private Timestamp returnTime;

    /** 借阅人id */
//    private String borrowUserId;

    /** 借阅金额 */
    private BigDecimal borrowMoney;

    /** 借阅人姓名 */
    private String borrowUserName;

    /** 借书证号码 */
//    private String borrowUserCard;

    /** 图书藏id */
    private String collectionSin;

    /** O  借出   I 归还 */

    private String borrowStatus;

    private DmTsInfo dmTsInfo;

    private List<DmReadingRoomApplay> dmReadingRoomApplayList;

    private DmUser dmUser;
}