/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.dmReadingRoom.service.dto;

import lombok.Data;
import java.sql.Timestamp;
import java.util.List;
import me.zhengjie.annotation.Query;

/**
* @website https://el-admin.vip
* @author longda
* @date 2022-02-25
**/
@Data
public class DmReadingRoomQueryCriteria {

    /** 模糊 */
//    @Query(type = Query.Type.INNER_LIKE)
    @Query(joinName = "dmTsInfo", propName="tsName", join = Query.Join.LEFT)
    private String bookName;

    /** 精确 */
    @Query
    private Integer isOverdue;
    /** 借阅人id*/
    @Query(joinName = "dmUser",propName = "id",join = Query.Join.INNER)
    private String borrowUserId;

    /** 精确 */
    @Query
    private Integer overdueDay;
    /** BETWEEN */
    @Query(type = Query.Type.BETWEEN)
    private List<Timestamp> readStartTime;
    /** BETWEEN */
    @Query(type = Query.Type.BETWEEN)
    private List<Timestamp> readEndTime;
}