/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.dmReadingRoomApplay.repository;

import me.zhengjie.modules.dm.dmReadingRoomApplay.domain.DmReadingRoomApplay;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.math.BigDecimal;
import java.util.List;

/**
* @website https://el-admin.vip
* @author longda
* @date 2022-03-01
**/
public interface DmReadingRoomApplayRepository extends JpaRepository<DmReadingRoomApplay, String>, JpaSpecificationExecutor<DmReadingRoomApplay> {




    /**
     * 查询消费总金额
     * @param readingRoomId
     * @return
     */
    @Query(value = "SELECT SUM(readomg_room_applay_money) FROM dm_reading_room_applay where if(:readingRoomId != null ,reading_room_id = :readingRoomId,1=1)",nativeQuery = true)
    BigDecimal findApplaySumMoneyByRoomId(@Param("readingRoomId") Long readingRoomId);
    /**
     * 查询今日消费记录
     * @param readingRoomId
     * @return
     */
    @Query(value = "SELECT * FROM dm_reading_room_applay where if(:readingRoomId != null ,reading_room_id = :readingRoomId,1=1) AND DATE_FORMAT(create_time,'%Y-%m-%d') = DATE_FORMAT(NOW(),'%Y-%m-%d') ORDER BY create_time DESC",nativeQuery = true)
    List<DmReadingRoomApplay> findApplayNowByRoomId(Long readingRoomId);

    /**
     * 查询消费记录
     * @param readingRoomId
     * @return
     */
    @Query(value = "SELECT *  FROM dm_reading_room_applay where if(:readingRoomId != null ,reading_room_id = :readingRoomId,1=1)  ORDER BY create_time DESC",nativeQuery = true)
    List<DmReadingRoomApplay> findApplayByRoomId(Long readingRoomId);
}