/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.dmReadingRoomApplay.service.dto;

import lombok.Data;
import me.zhengjie.base.BaseDTO;
import me.zhengjie.modules.dm.dmReadingRoom.domain.DmReadingRoom;

import java.math.BigDecimal;
import java.io.Serializable;

/**
* @website https://el-admin.vip
* @description /
* @author longda
* @date 2022-03-01
**/
@Data
public class DmReadingRoomApplayDto extends BaseDTO implements Serializable {

    /** 关联阅览室记录id */
    private String readingRoomId;

    /** 消费记录id */
    private String readomgRoomApplayId;

    /** 消费金额 */
    private BigDecimal readomgRoomApplayMoney;

    /** 逾期金额 */
    private BigDecimal overdueAmount;

    /** 上限 */
    private BigDecimal overdueAmountMax;

    /** 消费类型 */
    private String readomgRoomApplayType;

}