/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.dmReadingRoomConfig.service.dto;

import lombok.Data;
import me.zhengjie.base.BaseDTO;

import java.sql.Timestamp;
import java.math.BigDecimal;
import java.io.Serializable;

/**
* @website https://el-admin.vip
* @description /
* @author longda
* @date 2022-02-24
**/
@Data
public class DmReadingRoomConfigDto extends BaseDTO implements Serializable {

    /** 00 邮箱  01手机  02 短信 */
    private String borrowMsgType;

    /** 设置id */
    private String borrowConfigId;

    /** 逾期金额 */
    private BigDecimal overdueAmount;

    /** 扣费上限 */
    private BigDecimal overdueAmountMax;

    /** 逾期时间设置提醒 */
    private String overdueTimeMsg;
}