/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.dmVisitorsApply.service.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.sql.Timestamp;
import java.io.Serializable;
import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import me.zhengjie.modules.dm.dmVisitorsApply.domain.DmVisitorsApply;
import me.zhengjie.modules.dm.dmVisitorsUser.domain.DmVisitorsUser;
import me.zhengjie.modules.dmuser.domain.DmUser;
import me.zhengjie.modules.dmuser.service.dto.DmUserDto;
import me.zhengjie.modules.system.domain.Dept;

import javax.persistence.Column;

/**
* @website https://el-admin.vip
* @description /
* @author juan
* @date 2021-11-19
**/
@Data
public class DmVisitorsApplyDto implements Serializable {

    /** 防止精度丢失 */
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long id;

    /** 被访人员工号 */
    private DmUser dmUser;

    private DmUserDto requestUser;

    /** 到访部门 */
    private Dept dept;

    /** 到访开始时间 */
    private Timestamp startTime;

    /** 到访结束时间 */
    private Timestamp endTime;

    private String administration;

    /** 访客二维码 */
    private String qrCode;

    private String visNumber;

    /** 到访事由 */
    private String forVisiting;

    private String type;

    /** 申请者 */
    private String createBy;

    /** 更新者 */
    private String updateBy;

    /** 申请时间 */
    private Timestamp createTime;

    /** 更新时间 */
    private Timestamp updateTime;

   /**申请列表状态**/
    private Integer applyStatus;

    private List<DmVisitorsUser> visitorsUsers;

    private String approveState;

    private String taskId;

    private String approveSuggest;

    /** 申请类型(00.被访人发起  01.访客发起) */
    private String applyType;
}