/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.dmVisitorsApply.service.dto;

import lombok.Data;
import java.sql.Timestamp;
import java.util.List;

import me.zhengjie.annotation.Query;
import me.zhengjie.modules.dmuser.domain.DmUser;

/**
* @website https://el-admin.vip
* @author juan
* @date 2021-11-19
**/
@Data
public class DmVisitorsApplyQueryCriteria{

    /** 模糊 */
    @Query
    private Long id;

    @Query
    private String type;

    /** 模糊 */
    @Query(type = Query.Type.INNER_LIKE,joinName = "dmUser", propName="id")
    private String userNumber;

    /** 模糊 */
    @Query(type = Query.Type.INNER_LIKE,joinName = "requestUser", propName="name")
    private String requestUser;

    /** 精确 */
    @Query(type = Query.Type.GREATER_THAN)//LESS_THAN
    private Timestamp startTime;

    /** 精确 */
    @Query(type = Query.Type.LESS_THAN)
    private Timestamp endTime;

    @Query
    /** 状态*/
    private Integer applyStatus;
}