/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dm.dmtsInfo.service.dto;

import lombok.Data;
import java.sql.Timestamp;
import java.math.BigDecimal;
import java.io.Serializable;
import java.util.List;
import java.util.Set;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import me.zhengjie.base.BaseDTO;
import me.zhengjie.modules.dm.dmtsCollection.domain.DmTsCollection;
import me.zhengjie.modules.dm.dmtsInfo.domain.DmTsInfo;

/**
* @website https://el-admin.vip
* @description /
* @author longda
* @date 2022-03-01
**/
@Data
public class DmTsInfoDto extends BaseDTO implements Serializable {

    /** 图书控制号id(数据标识) */
    /** 防止精度丢失 */
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long tsId;

    private Set<DmTsCollection> dmTsCollections;

    /** 图书位置索引(分类号/书此号） */
    private String tsTypeNum;

    /** 图书名称 */
    private String tsName;
    /** 图书图片 */
    private String tsPicture;
    /** 图书作者 */
    private String tsAuthor;

    /** 图书出版公司或者出版人名称 */
    private String tsPublishName;

    /** 图书出版地址 */
    private String tsPublishAddress;

    /** 出版日期 */
    private String tsPublishTime;

    /** 图书ISBN编号 */
    private String tsNum;

    /** 图书页数 */
    private String tsTotalPage;

    /** 图书单价 */
    private BigDecimal tsPrice;

    /** 图书获得方式 */
    private String tsAcquireType;

}