/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dmAccessTraffic.service.dto;

import lombok.Data;
import me.zhengjie.modules.dmuser.domain.DmUser;
import me.zhengjie.ykt.domain.DmRoomDevice;
import org.springframework.format.annotation.DateTimeFormat;

import java.sql.Timestamp;
import java.io.Serializable;

/**
* @website https://el-admin.vip
* @description /
* @author zhirong
* @date 2021-11-22
**/
@Data
public class DmAccessTrafficDto implements Serializable {

    private Long id;

    /** 用户编号 */
    private String userNumber;

    /** 用户实体对象 */
    private DmUser user;

    /** 卡号 */
    private String cardNumber;

    /** 门禁设备编号 */
//    private String roomDevice;

    /** 门禁设备编号 */
    private String roomDevice;

    /** 门禁设备实体对象 */
    private DmRoomDevice dmRoomDevice;

    /** 出入 */
    private String comeGoOut;

    /** 通行时间 */
    private Timestamp accessTime;

    /** 通行照片 */
    private String accessPhoto;

    private String passageWay;

    /** 创建者 */
    private String createBy;

    /** 更新者 */
    private String updateBy;

    /** 创建时间 */
    private Timestamp createTime;

    /** 更新时间 */
    private Timestamp updateTime;
    /**是否通行成功 */
    private Boolean isSuccess;
}