/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dmParkingTraffic.service.dto;

import lombok.Data;
import java.sql.Timestamp;
import java.io.Serializable;

/**
* @website https://el-admin.vip
* @description /
* @author zhirong
* @date 2022-05-05
**/
@Data
public class DmParkingTrafficDto implements Serializable {

    /** 主键 */
    private Integer id;

    /** 停车场唯一标识 */
    private String parkCode;

    /** 出入口唯一标识 */
    private String entranceCode;

    /** 出入口名称 */
    private String entranceName;

    /** 车道唯一标识 通道/出入口信息 */
    private String roadwayCode;

    /** 车道名称 */
    private String roadwayName;

    /** 车牌号码 */
    private String plateNo;

    /** 车牌颜色 */
    private String plateColor;

    /** 出入类型  0-进场，1-出场 */
    private Integer vehicleOut;

    /** 车辆颜色  0 => "蓝色", 1 => "黄色", 2 => "白色", 3 => "黑色", 4 => "绿色", 5 => "民航黑色", 255 => "其他颜色" */
    private Integer vehicleColor;

    /** 车辆类型       0：其他车  1：小型车  2：大型车  3：摩托车 */
    private Integer vehicleType;

    /** 放行方式   10-未开闸   11-自动开闸   12-人工/人工开闸   13-遥控器开闸 */
    private Integer releaseWay;

    /** 放行结果  0-未放行 1-正常放行 2-离线放行 */
    private Integer releaseResult;

    /** 放行原因(备注) */
    private String releaseRemark;

    /** 入园时间/出园时间 */
    private Timestamp crossTime;
}