/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dmRechargeRecord.repository;

import me.zhengjie.modules.dmRechargeRecord.domain.DmRechargeRecord;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

/**
* @website https://el-admin.vip
* @author zhirong
* @date 2021-11-23
**/
public interface DmRechargeRecordRepository extends JpaRepository<DmRechargeRecord, Long>, JpaSpecificationExecutor<DmRechargeRecord> {

    /**
     * 根据seq查询
     *
     * @param seq
     * @return
     */
    @Query(value = "SELECT r.* FROM dm_recharge_record r WHERE seq = :seq", nativeQuery = true)
    DmRechargeRecord findBySeq(@Param("seq") String seq);

}