/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dmRechargeRecord.service.dto;

import lombok.Data;
import me.zhengjie.modules.dmuser.domain.DmUser;

import java.sql.Timestamp;
import java.math.BigDecimal;
import java.io.Serializable;

/**
* @website https://el-admin.vip
* @description /
* @author zhirong
* @date 2021-11-23
**/
@Data
public class DmRechargeRecordDto implements Serializable {

    private Long id;

    /** 用户 */
//    private String userNumber;

    /** 用户id对应的对象 */
    private DmUser user;

    private String userName;

    private String userPhone;

    /** 卡号 */
    private String cardNumber;

    /** 充值金额 */
    private BigDecimal rechargeAmount;

    /** 充值后金额 */
    private BigDecimal amountAfterRecharge;

    /** 充值时间 */
    private Timestamp rechargeTime;

    private String seq;
}