/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dmuser.service.dto;

import lombok.Data;
import me.zhengjie.base.BaseDTO;
import me.zhengjie.modules.system.domain.Dept;
import me.zhengjie.modules.system.service.dto.JobSmallDto;
import me.zhengjie.modules.system.service.dto.RoleSmallDto;
import me.zhengjie.ykt.domain.DmRoomDevice;

import java.sql.Timestamp;
import java.io.Serializable;
import java.util.Set;

/**
* @website https://el-admin.vip
* @description /
* @author AndyCheung
* @date 2021-09-30
**/
@Data
public class DmUserDto extends BaseDTO implements Serializable {

    /** 主键 */
    private String id;

    /** 姓名 */
    private String name;

    /** 性别 */
    private String sex;

    /** 邮箱地址 */
    private String email;

    /** 手机 */
    private String contacts;

    /** 角色集合 */
    private Set<RoleSmallDto> roles;

    /** 岗位集合 */
    private Set<JobSmallDto> jobs;

    private Set<DmRoomDevice> dmRoomDevices;

    /** 部门 */
    private Dept dept;

    /** 是否是审批人(1-是,0-否) */
    private Long isApprover;

    /** 人员种类 */
    private String usertype;

    /** 在职状态 */
    private String enabled;

    private String picture;

    /** 员工工号 */
    private String userNumber;

    /** 备注 */
    private String remark;

    /** 登记状态 */
    private String status;

    /** 单位 */
    private String company;

    private String cardId;
}