/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.dmuser.service.dto;

import lombok.Data;

import java.sql.Timestamp;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import me.zhengjie.annotation.Query;
import me.zhengjie.modules.system.domain.Dept;

/**
* @website https://el-admin.vip
* @author AndyCheung
* @date 2021-09-30
**/
@Data
public class DmUserQueryCriteria{

    /** 精确 */
    @Query
    private String id;

    /** 精确 */
    @Query
    private String name;

    @Query(blurry = "name,userNumber,email,contacts")
    private String blurry;

    /** 精确
     * 人员种类(全部/正式人员/外协单位/租户)*/
    @Query
    private String usertype;

    /** 精确
     * 人员状态(启用/停用)*/
    @Query
    private String enabled;

    /** 精确
     * 登记状态,0:已登记,1:未登记*/
    @Query
    private String status;

    /** 精确
     * 部门*/
    @Query
    private Dept dept;

    @Query(propName = "id", type = Query.Type.IN, joinName = "dept")
    private Set<String> deptIds = new HashSet<>();

    private String deptId;

    /** 精确
     * 创建日期,create_time*/
    @Query(type = Query.Type.BETWEEN)
    private List<Timestamp> create_time;
}