/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.ykt.service.dto;

import cn.hutool.core.date.DateTime;
import lombok.Data;
import java.sql.Timestamp;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import me.zhengjie.annotation.Query;
import me.zhengjie.base.BaseDTO;
import me.zhengjie.modules.dm.dmCard.domain.DmCard;
import me.zhengjie.modules.dm.dmCard.service.dto.DmCardDto;
import me.zhengjie.modules.dmuser.domain.DmUser;
import me.zhengjie.ykt.domain.DmRoomDevice;

import javax.persistence.JoinColumn;
import javax.persistence.Transient;

/**
* @website https://el-admin.vip
* @description /
* @author zhirong
* @date 2021-11-10
**/
@Data
public class DmPlateNumberDto extends BaseDTO implements Serializable {

    /** 防止精度丢失 */
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long id;
    /** 用户 */
    private DmUser userNumber;

    private String userName;

    private String userPhone;

    /** 车牌号 */
    private String plateNumber;

    /** 有效开始时间 */
    private Timestamp startTime;

    /** 有效结束时间 */
    private Timestamp endTime;

    private String vehicleType;

    /** 效期状态(00-有效、01-过期) */
    private String effectiveState;

    /** 登记状态(00-待审核、01-已登记) */
    private String registrationStatus;

    private String remark;

    private String enabled;

    private String type;

    private String taskId;

    private String approveSuggest;

//    /** 创建者 */
//    private String createBy;
//
//    /** 更新者 */
//    private String updateBy;
//
//    /** 创建时间 */
//    private Timestamp createTime;
//
//    /** 更新时间 */
//    @Transient
//    private Timestamp updateTime;

    /* 扩展字段 */
//    @Transient
    public DmCardDto dmCard;

    /* 车辆类型 */
    @Transient
    public Long cheliangType;

    private List<DmRoomDevice> dmRoomDevices;
}