/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.ykt.service.dto;

import lombok.Data;
import java.sql.Timestamp;
import java.util.List;
import me.zhengjie.annotation.Query;
import me.zhengjie.modules.dm.dmCard.service.dto.DmCardDto;

import javax.persistence.JoinColumn;

/**
* @website https://el-admin.vip
* @author zhirong
* @date 2021-11-10
**/
@Data
public class DmPlateNumberQueryCriteria{

    /** 精确 */
    @Query
    private Long id;

    @Query(joinName = "dmCard", propName="cardNumber")
    private String cardNumber;

    @Query(joinName = "dmCard", propName="cardNumber")
    private String cardNumberXq;

    @Query
    private String type;

    /** 精确 */
    @Query(joinName = "userNumber", propName="id")
    private String userNumber;

    /** 精确 */
    @Query
    private String plateNumber;

    /** 左右模糊 */
    @Query(type = Query.Type.INNER_LIKE)
    private String userName;

    /** 精确 */
    @Query
    private Timestamp startTime;

    /** 精确 */
    @Query
    private Timestamp endTime;

    /** 精确 */
    @Query
    private String effectiveState;

    /** 精确 */
    @Query
    private String registrationStatus;

    /** 精确 */
    @Query
    private String createBy;

    /** 精确 */
    @Query
    private String updateBy;

    /** 精确 */
    @Query(type = Query.Type.BETWEEN)
    private List<Timestamp> createTime;

    /** 精确 */
    @Query(type = Query.Type.BETWEEN)
    private List<Timestamp> updateTime;

    @Query
    private String taskId;
}