/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.ykt.service.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.sql.Timestamp;
import java.io.Serializable;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import me.zhengjie.base.BaseDTO;

import javax.persistence.Column;

/**
* @website https://el-admin.vip
* @description /
* @author zhirong
* @date 2021-11-19
**/
@Data
public class DmRoomDeviceDto implements Serializable {

    /** 防止精度丢失 */
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long id;

    /** 设备编号 */
    private String code;

    private String serialNumber;

    /** 设备名称 */
    private String name;

    @JSONField(serializeUsing = ToStringSerializer.class)
    /* 门禁id */
    private Long doorID;

    /*门禁名称 */
    private String doorName;

    /*设备类型 0：表示全部设备 1：控制器 2：二维码一体机 3：人脸识别机 4：指纹机 */
    private Integer deviceType;

    /** 设备安装位置 */
    private String buildAddress;

    /** 设备状态(00-启用、01-禁用、02-待维修) */
    private String status;
    /** 设备登记时间 */
    private Timestamp registTime;

    /** 备注 */
    private String remark;

    /** 创建者 */
    private String createBy;

    /** 更新者 */
    private String updateBy;

    /** 创建时间 */
    private Timestamp createTime;

    /** 更新时间 */
    private Timestamp updateTime;



}